
def random_task_message(message_length=10):
    import random
    from celery.utils.log import get_task_logger
    from celery import Celery

    # Initialize Celery with a fake broker and backend
    app = Celery('tasks', broker='pyamqp://', backend='rpc://')

    # Get a logger
    logger = get_task_logger(__name__)

    # Generate a random message of a given length
    message = ''.join(random.choices('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789', k=message_length))

    # Log the message using Celery's logger
    logger.info(f'Generated message: {message}')

    return message



